# Simple toolchain template file for gcc running on aarch64 Linux
set(CMAKE_SYSTEM_NAME Linux)
set(CMAKE_SYSTEM_PROCESSOR aarch64)

set(CMAKE_SYSROOT /opt/aarch64-linux-musl/aarch64-linux-musl/sys-root/)
set(CMAKE_INSTALL_PREFIX $ENV{prefix})

set(CMAKE_C_COMPILER   /opt/bin/aarch64-linux-musl-gcc)
set(CMAKE_CXX_COMPILER /opt/bin/aarch64-linux-musl-g++)
set(CMAKE_Fortran_COMPILER /opt/bin/aarch64-linux-musl-gfortran)

set(CMAKE_LINKER  /opt/bin/aarch64-linux-musl-ld)
set(CMAKE_OBJCOPY /opt/bin/aarch64-linux-musl-objcopy)

set(CMAKE_AR     /opt/aarch64-linux-musl/bin/aarch64-linux-musl-ar)
set(CMAKE_NM     /opt/aarch64-linux-musl/bin/aarch64-linux-musl-nm)
set(CMAKE_RANLIB /opt/aarch64-linux-musl/bin/aarch64-linux-musl-ranlib)

if( $ENV{CC} MATCHES ccache )
    set_property(GLOBAL PROPERTY RULE_LAUNCH_COMPILE ccache)
endif()
